Skip to main content
Resource Center/Network Resource/VPC Operations
POSTVPC OperationsSince 2.3SynchronousAuth Required

GetAttachableVpcL3Network

GetAttachableVpcL3Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The L3 network type.

    • zoneUuidStringRequired

      The zone UUID.

    • l2NetworkUuidStringRequired

      The L2 network UUID.

    • stateStringRequired

      The state of the L3 network.

    • dnsDomainStringRequired

      The DNS domain.

    • systemBooleanRequired

      Whether the L3 network can be applied to appliance VM instances.

    • categoryStringRequired

      The network type, which must be used with the system tags. If system is set to true, this parameter can be set to Public or Private.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • dnsListRequired

      The DNS server.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startIpStringRequired

        The start IP address.

      • endIpStringRequired

        The end IP address.

      • netmaskStringRequired

        The netmask.

      • gatewayStringRequired

        The gateway.

      • networkCidrStringRequired

        The network CIDR.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • networkServiceProviderUuidStringRequired

        The network service provider UUID.

      • networkServiceTypeStringRequired

        The network service type.

    • hostRouteListRequired

      See hostRoute.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/vpc/virtual-routers/{uuid}/attachable-vpc-l3s

/zstack/v1/vpc/virtual-routers/{uuid}/attachable-vpc-l3s

Operation ID

GetAttachableVpcL3Network

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/attachable-vpc-l3s' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "uuid": "81c29ac529163ffa9d4f246d68518dd1", "name": "test-l3", "description": "test l3", "type": "L3VpcNetwork", "zoneUuid": "aea3c47aa8273399ac8827fbc78aae67", "l2NetworkUuid": "cbba13d2e8273d529cfcb89c66d54fb2", "system": false, "category": "Private", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "ipRanges": [ { "l3NetworkUuid": "cc5980d5c4173dd5b57dc1b28cdb0683", "name": "test ip range", "startIp": "100.64.0.10", "endIp": "100.64.0.100", "netmask": "255.255.255.0", "gateway": "100.64.0.1", "networkCidr": "100.64.0.0/24", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ] }

Change History

This API has no change history records yet.

View all change history